<html>

    <head>
        <script 
            src="https://code.jquery.com/jquery-3.6.1.min.js"
            integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" 
            crossorigin="anonymous">
        </script>
    </head>

    <body style="text-align: center;">
        <button id="buttontest">Premimi</button>
    </body>

    <script>
        
        var obj = {
            DataSetMsgItem: [
                { id: 1, value: 10 },
                { id: 2, value: 30 }
            ]
        }

        // chiamata post jquery
        $("#buttontest").click(function () {

            $.post({
                url: "http://localhost:5265/API",
                data: JSON.stringify(obj),
                contentType: 'application/json; charset=utf-8'
            }).done(function () { alert('Request done!'); })
                .fail(function (jqxhr, settings, ex) { alert('failed, ' + ex); });
        })

    </script>

</html>